mhash_keygen_s2k
OpenSSL
Mhash Functions
PHP Manual

# mhash

Computes hash

### Description

string mhash ( int `$hash` , string `$data` [, string `$key` ] )

mhash applies a hash function specified by `hash` to the `data`.

### Parameters

`hash`

  The hash ID. One of the `MHASH_hashname` constants.

`data`

  The user input, as a string.

`key`

  If specified, the function will return the resulting HMAC instead. HMAC is keyed hashing for message authentication, or simply a message digest that depends on the specified key. Not all algorithms supported in mhash can be used in HMAC mode.

### Return Values

Returns the resulting hash (also called digest) or HMAC as a string, or `FALSE` on error.